### Function

# Gio simple_async_report_gerror_in_idle

deprecated: 2.46

#### Declaration

    void
    g_simple_async_report_gerror_in_idle (
      GObject* object,
      GAsyncReadyCallback callback,
      gpointer user_data,
      const GError* error
    )

#### Description

Reports an error in an idle function. Similar to g_simple_async_report_error_in_idle(), but takes a `GError` rather than building a new one.

Deprecated since: 2.46

Use g_task_report_error().

#### Parameters

`object`

  Type: `GObject`

  A `GObject`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError`

  The `GError` to report.

  The data is owned by the caller of the function.